BWA 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1578696 漏洞类型 缓冲区错误
发布时间 2019-04-20 更新时间 2019-04-22
CVE编号 CVE-2019-11371 CNNVD-ID CNNVD-201904-960
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201904-960
|漏洞详情
BWA(又名Burrow-Wheeler Aligner)是一款用于映射针对大型参考基因组(如人类基因组)的低分歧序列的软件包。 BWA 0.7.17 r1198版本中存在缓冲区溢出漏洞,该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:github.com

链接:https://github.com/lh3/bwa/issues/239


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-11371